#!/bin/sh
mypath=${0%/*}
if [ ! -f /ezxlocal/download/appwrite/setup/ezx_system.cfg.bak ]
then
cp /ezxlocal/download/appwrite/setup/ezx_system.cfg /ezxlocal/download/appwrite/setup/ezx_system.cfg.bak &
fi

sho()
{
showQ "Настройка завершена" "Изменения вступят в силу после перезагрузки" 1
if [ "1" = "$?" ]	
then
/sbin/reboot
else
showNotify "Перейти к основной программе" "Пожалуйста перезагрузите вручную" 0
exec $mypath/timeout.sh
exit 0
fi

}


showRadio "Экран" "" "Скринсейвер, Время" "Заставка" "Тайм-аут Дисплея" "Восстановление первоначального состояния" "Инструкция"
case "$?" in
0)
exec $mypath/index.sh
;;
1)
t=`grep "\<ScreenSaverTimeout\> = " "/ezxlocal/download/appwrite/setup/ezx_system.cfg" | sed "s/\<ScreenSaverTimeout\>\ = //"`
showSlider "Скринсейвер, Время"  "Группа(ы) промежуточных значений для текущего значения" 1 50  $t
a=$?
if [ "0" = "$a" ]	
then
exec $mypath/timeout.sh
fi
showNotify "" "Создано" 0
cat /ezxlocal/download/appwrite/setup/ezx_system.cfg | sed "s/ScreenSaverTimeout\ =\ .*/ScreenSaverTimeout\ =\ $a/g"> /tmp/ezx_system.out
mv -f /tmp/ezx_system.out /ezxlocal/download/appwrite/setup/ezx_system.cfg

sho
;;
2)
t=`grep "\<DimTimeout\> = " "/ezxlocal/download/appwrite/setup/ezx_system.cfg" | sed "s/\<DimTimeout\>\ = //"`
showSlider "Заставка"  "Группа(ы) промежуточных значений для текущего значения" 1 50  $t
a=$?
if [ "0" = "$a" ]	
then
exec $mypath/timeout.sh
fi
showNotify "" "Создано" 0
cat /ezxlocal/download/appwrite/setup/ezx_system.cfg | sed "s/DimTimeout\ =\ .*/DimTimeout\ =\ $a/g"> /tmp/ezx_system.out
mv -f /tmp/ezx_system.out /ezxlocal/download/appwrite/setup/ezx_system.cfg

sho
;;
3)
t=`grep "\<DisplayTimeout\> = " "/ezxlocal/download/appwrite/setup/ezx_system.cfg" | sed "s/\<DisplayTimeout\>\ = //"`
showSlider "Тайм-аут Дисплея"  "Группа(ы) промежуточных значений для текущего значения" 1 50  $t
a=$?
if [ "0" = "$a" ]	
then
exec $mypath/timeout.sh
fi
showNotify "" "Создано" 0
cat /ezxlocal/download/appwrite/setup/ezx_system.cfg | sed "s/DisplayTimeout\ =\ .*/DisplayTimeout\ =\ $a/g"> /tmp/ezx_system.out
mv -f /tmp/ezx_system.out /ezxlocal/download/appwrite/setup/ezx_system.cfg

sho
;;
4)
showQ "Восстановление первоначального состояния" "Вы подтверждаете, что вы хотите восстановить?" 1
if [ "0" = "$?" ]	
then
exec $mypath/timeout.sh
fi
mv -f /ezxlocal/download/appwrite/setup/ezx_system.cfg.bak /ezxlocal/download/appwrite/setup/ezx_system.cfg

sho
;;
5)
showQ "Инструкция" " Эта функция отличается от других функций, вы должны перезагрузить телефон - январь (phythias)" 2
exec $mypath/timeout.sh
;;
*)
exit 0
;;
esac
